org.apache.sling.commons.html.util

## Class HtmlSAXSupport

- java.lang.Object
- - org.apache.sling.commons.html.util.HtmlSAXSupport

All Implemented Interfaces:
  Consumer<HtmlElement>

    public class HtmlSAXSupport
    extends Object
    implements Consumer<HtmlElement>

### Constructor Summary

Constructors
Constructor and Description
`HtmlSAXSupport(ContentHandler ch, LexicalHandler lh)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `accept(HtmlElement element)`
`static Attributes` `convert(Map<String,AttrValue> attributes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

### Constructor Detail

#### HtmlSAXSupport

    public HtmlSAXSupport(ContentHandler ch,
                          LexicalHandler lh)

### Method Detail

#### accept

    public void accept(HtmlElement element)

Specified by:
  `accept` in interface `Consumer<HtmlElement>`

#### convert

    public static Attributes convert(Map<String,AttrValue> attributes)